POST
/
v3
/
billing
/
checkout-sessions
Create Embedded Checkout Session
curl --request POST \
  --url http://127.0.0.1:3333/v3/billing/checkout-sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "subscription",
  "workspaceId": "<string>",
  "plan": "CORE"
}
'
{
  "clientSecret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
mode
enum<string>
required
Available options:
subscription
workspaceId
string
required
plan
enum<string>
required
Available options:
CORE,
SCALE,
DEDICATED
priceId
string
customerEmail
string
returnUrl
string<uri>
currency
string

Response

Default Response

clientSecret
string
required